Module::Install::Base(3)

NAME
Module::Install::Base - Base class for Module::Install extensions

SYNOPSIS
In a Module::Install extension:

    use Module::Install::Base ();
    @ISA = qw(Module::Install::Base);

DESCRIPTION
This module provide essential methods for all Module::Install extensions, in particular the common constructor "new" and method dispatcher "AUTOLOAD".

METHODS

new(%args)
    Constructor -- need to preserve at least _top

AUTOLOAD
    The main dispatcher - copy extensions if missing

_top()
    Returns the top-level Module::Install object.

admin()
    Returns the "_top" object's associated Module::Install::Admin object on the first run (i.e. when there was no inc/ when the program started); on subsequent (user-side) runs, returns a fake admin object with an empty "AUTOLOAD" method that does nothing at all.

is_admin()
    Tells whether this is the first run of the installer (on author's side). That is when there was no inc/ at program start. True if that's the case. False, otherwise.

SEE ALSO
Module::Install

AUTHORS
Audrey Tang <autrijus@autrijus.org>

COPYRIGHT
Copyright 2003, 2004 by Audrey Tang <autrijus@autrijus.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>